using System.Text.Json.Serialization;
using LuskiServer.Enums;
using LuskiServer.Interfaces;

namespace LuskiServer.Classes;

public class HTTPResponse : IWebResponse
{
    public ErrorCode? error { get; set; } = default!;
    public string? error_message { get; set; } = default!;
}


[JsonSerializable(typeof(HTTPResponse))]
internal partial class HTTPResponseContext : JsonSerializerContext
{

}