using JacobTechEncryption.Enums;
using ServerDatabase;
using ServerDatabase.SourceGenerator;

namespace LuskiServer.Classes.TableDef;

public static class Messages
{
    public static TableColumn<long> ID { get; } = new("id", true);
    public static TableColumn<long> ChannelID { get; } = new("channel_id");
    public static TableColumn<long> AuthorID { get; } = new("author_id");
    public static TableColumn<long> TimeStamp { get; } = new("ts");
    public static TableColumn<byte[]> Context { get; } = new("context");
    public static TableColumn<long> EncryptionKey { get; } = new("encryption_key");
    public static TableColumn<EncoderType> EncoderType { get; } = new("encoder_type");
    public static TableColumn<long[]> Files { get; } = new("files");
}

[TableRow(typeof(Messages))]
public partial class MessageRow
{}