using ServerDatabase;
using ServerDatabase.SourceGenerator;

namespace LuskiServer.Classes.TableDef;

public static class ServerRoleOverides
{
    public static TableColumn<long> ID { get; } = new("id", true);
    public static TableColumn<long> RoleID { get; } = new("role_id");
    public static TableColumn<string[]> Overides { get; } = new("overides");
}

[TableRow(typeof(ServerRoleOverides))]
public partial class ServerRoleOverideRow
{}