using LuskiServer.Classes.TableDef;
using ServerDatabase;

namespace LuskiServer.Classes;

public static class Tables
{
    public static Table<UserRow> Users { get; } = new("users", null!);
    public static Table<AltServerRow> AltServers { get; } = new("alt_servers", null!);
    public static Table<ServerRow> Server { get; } = new("server", null!);
    public static Table<RoleRow> Roles { get; } = new("roles", null!);
    public static Table<LogRow> Logs { get; } = new("logs", null!);
    public static Table<FileRow> Files { get; } = new("files", null!);
    public static Table<CategoryRow> Categories { get; } = new("categories", null!);
    public static Table<ChannelRow> Channels { get; } = new("channels", null!);
    public static Table<MessageRow> Messages { get; } = new("messages", null!);
    public static Table<ServerRoleOverideRow> ServerRoleOverides { get; } = new("role_overides", null!);
    public static Table<StorageRow> Storage { get; } = new("storage", null!);
    public static Table<UserRoleOverideRow> UserRoleOverides { get; } = new("user_overides", null!);
    public static Table<SessionsRow> Sessions { get; } = new("sessions", null!);
    public static Table<SessionTokenRow> SessionTokens { get; } = new("session_tokens", null!);
    public static Table<KeyRow> Keys { get; } = new("keys", null!);
}