using JacobTechEncryption.Enums;
using LuskiServer.Enums;
using LuskiServer.Interfaces;

namespace LuskiServer.Classes.v1.OutGoing;

public class ChannelResponse : IWebResponse
{
    public string name { get; set; } = default!;
    public string color { get; set; } = default!;
    public string description { get; set; } = default!;
    public PictureType picture_type { get; set; } = default!;
    public long id { get; set; } = default!;
    public ChannelType type { get; set; } = default!;
    public long parent { get; set; } = default!;
    public DateTime epoch { get; set; } = default!;
    public long title_encryption_key { get; set; } = default!;
    public long description_encryption_key { get; set; } = default!;
    public bool encoder_blacklist { get; set; } = default!;
    public bool encryption_blacklist { get; set; } = default!;
    public long[] encryption_keys { get; set; } = default!;
    public long[] role_overides { get; set; } = default!;
    public long[] member_overides { get; set; } = default!;
    public EncoderType title_encoder_type { get; set; } = default!;
    public EncoderType description_encoder_type { get; set; } = default!;
    public EncoderType[] encoder_types { get; set; } = default!;
}