namespace LuskiServer.Enums;

public enum ServerPermissions : long
{
    /// <summary>
    /// Internal permission for quick permission lookup
    /// </summary>
    ViewThis,
    ViewChannels,
    MoveChannels,
    EditChannels,
    EditChannelPermissions,
    CreateChannels,
    DeleteChannels,
    ViewCategories,
    MoveCategories,
    EditCategories,
    EditCategoryPermissions,
    CreateCategories,
    DeleteCategories,
    DeleteKeys,
    ManageRoles,
    ViewLogs,
    ManageServer,
    AddServers,
    RemoveServers,
    Invite,
    Nickname,
    ManageNicknames,
    Kick,
    Ban,
    SendMessages,
    SendFiles,
    ChannelPings,
    ServerPings,
    PingSomeone,
    ManageMessages,
    ReadMessageHistory,
    UseServerCommands,
    JoinVoice,
    SpeakInVoice,
    MuteMembers,
    DeafenMembers,
    MoveMembers
}