using JacobTechEncryption.Enums;
using LuskiServer.Interfaces;

namespace LuskiServer.Classes.WebTypes;

public class SocketMessage : IWebResponse
{
    public long channel_id { get; set; } = default!;
    public long user_id { get; set; } = default!;
    public long id { get; set; } = default!;
    public string context { get; set; } = default!;
    public long encryption_key { get; set; } = default!;
    public EncoderType encoder_type { get; set; } = default!;
    public File[] files { get; set; } = default!;
}