using JacobTechEncryption.Enums;
using LuskiServer.Enums;
using LuskiServer.Interfaces;

namespace LuskiServer.Classes.v1.OutGoing;

public class UserCategoryResponse : IWebResponse
{
    public long id { get; set; }
    public long parent { get; set; }
    public string name { get; set; }
    public string color { get; set; } = default!;
    public string description { get; set; }
    public long[] role_overides { get; set; }
    public long[] member_overides { get; set; }
    public long title_encryption_key { get; set; }
    public long[] channels { get; set; }
    public long[] inner_categories { get; set; }
    public long description_encryption_key { get; set; }
    public EncoderType title_encoder_type { get; set; }
    public EncoderType description_encoder_type { get; set; }
}